VCS: https://gitlab.cern.ch/linuxsupport/rpms/pyphonebook/-/tree/2eb22dbfcba47e7401d1b8b05b56bf73128cdd27
# Get Requires from setup.py
%{?python_enable_dependency_generator}

Name:       pyphonebook
Version:    2.1.1
Release:    2%{?dist}
Summary:    Python API and small CLI tool to query the CERN LDAP personnel database

Group: CERN/Utilities
License: LGPLv3
URL: https://gitlab.cern.ch/linuxsupport/rpms/pyphonebook
Source: %{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: epel-rpm-macros, python3-devel, argparse-manpage

%description
Python API and small CLI tool to query the CERN LDAP personnel database.

%prep
%setup -q -n pyphonebook-%{version}

%build
%py3_build

%install
%py3_install

%files
%{python3_sitelib}/pyphonebook/
%{python3_sitelib}/pyphonebook-*.egg-info
%{_bindir}/pyphonebook
%doc %{_mandir}/man1/%{name}.1.gz

%changelog
* Tue Sep 14 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.1-2
- Fixed incorrect python shebang for portability

* Wed Sep 08 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.1-1
- Fix display of other telephones

* Mon Sep 06 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.0-1
- Added man page
- Migrated ldap library from python-ldap to ldap3
- Exit with status code 1 when no matches are found
- Don't rely on another binary for getting group names

* Thu Jul 22 2021 Sara Zanzottera <sara.zanzottera@cern.ch> - 2.0.1-2
- [all] Try to build for CentOS 8
